Package org.apache.catalina.core

# Class AprStatus

java.lang.Object
org.apache.catalina.core.AprStatus

public class AprStatus extends Object
Holds APR status without the need to load other classes.

## Constructor Summary

Constructors
Constructor
Description
`AprStatus()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`getOpenSSLVersion()`
`static boolean`
`getUseOpenSSL()`
`static boolean`
`isAprAvailable()`
`static boolean`
`isAprInitialized()`
`static boolean`
`isInstanceCreated()`
`static void`
`setAprAvailable(boolean aprAvailable)`
`static void`
`setAprInitialized(boolean aprInitialized)`
`static void`
`setInstanceCreated(boolean instanceCreated)`
`static void`
`setOpenSSLVersion(int openSSLVersion)`
`static void`
`setUseOpenSSL(boolean useOpenSSL)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AprStatus

public AprStatus()

## Method Details

### isAprInitialized

public static boolean isAprInitialized()

### isAprAvailable

public static boolean isAprAvailable()

### getUseOpenSSL

public static boolean getUseOpenSSL()

### isInstanceCreated

public static boolean isInstanceCreated()

### setAprInitialized

public static void setAprInitialized(boolean aprInitialized)

### setAprAvailable

public static void setAprAvailable(boolean aprAvailable)

### setUseOpenSSL

public static void setUseOpenSSL(boolean useOpenSSL)

### setInstanceCreated

public static void setInstanceCreated(boolean instanceCreated)

### getOpenSSLVersion

public static int getOpenSSLVersion()

Returns:
  the openSSLVersion

### setOpenSSLVersion

public static void setOpenSSLVersion(int openSSLVersion)

Parameters:
  `openSSLVersion` - the openSSLVersion to set